%define uname   FreeSOLID

%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           freesolid
Version:        2.1.2
Release:        %mkrel 1
Summary:        3D collision detection C++ library
License:        LicenseRef-Callaway-LGPLv2+
Group:          System/Libraries
URL:            https://sourceforge.net/projects/freesolid/
Source0:        https://sourceforge.net/projects/freesolid/files/%{uname}-%{version}.zip
# https://sourceforge.net/tracker/?func=detail&aid=3484907&group_id=65180&atid=510061
Patch0:         FreeSOLID-%{version}-autotools.patch
Patch1:         FreeSOLID-%{version}-pkgconfig.patch
Patch2:         FreeSOLID-%{version}-Makefile.am-update.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(qhull)


%description
FreeSOLID is a library for collision detection of three-dimensional
objects undergoing rigid motion and deformation. FreeSOLID is designed
to be used in interactive 3D graphics applications.


%package -n     %{libname}
Summary:        3D collision detection C++ library
Group:          System/Libraries

%description -n %{libname}
FreeSOLID is a library for collision detection of three-dimensional
objects undergoing rigid motion and deformation. FreeSOLID is designed
to be used in interactive 3D graphics applications.


%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}
Requires:       pkgconfig(qhull)

%description -n %{devname}
Libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1 -n %{uname}-%{version}

mv configure.in configure.ac
autoupdate

# check for libqhull/qhull_a.h instead of qhull/qhull_a.h
sed -i -e 's,qhull/qhull_a.h,libqhull/qhull_a.h,' configure*
sed -i -e 's,VERSION=2.1.1,VERSION=2.1.2,' configure*

mkdir m4
rm acinclude.m4 aclocal.m4
rm ltmain.sh missing depcomp install-sh config.*
chmod 755 configure


%build
autoreconf -fvi
%configure --disable-static
%make_build


%install
%make_install

rm %{buildroot}%{_infodir}/dir
rm -rf sample/*.o sample/.libs $(find sample -type f -a -executable)


%files -n %{libname}
%doc README TODO
%license COPYING COPYING.LIB
%{_libdir}/libFreeSOLID.so.%{major}{,.*}

%files -n %{devname}
%doc sample
%{_infodir}/*
%{_includedir}/FreeSOLID/
%{_bindir}/freesolid-config
%{_libdir}/libFreeSOLID.so
%{_libdir}/pkgconfig/FreeSOLID.pc


%changelog
* Sun Jun 01 2025 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 2187751
- initial package freesolid (needed for speed-dreams)

